events.listen("recipes", function (e) {
  var types = ["quartz", "diamond", "emerald", "quartz"];
  types.forEach((S) => {
    e.custom({
      type: "thermal:press",
      ingredients: [
        {
          item: "minecraft:" + S,
          count: 4,
        },
        {
          item: "thermal:press_gear_die",
        },
      ],
      result: [
        {
          item: "thermal:" + S + "_gear",
        },
      ],
    });
  });
  e.custom({
    type: "thermal:press",
    ingredients: [
      {
        item: "minecraft:lapis_lazuli",
        count: 4,
      },
      {
        item: "thermal:press_gear_die",
      },
    ],
    result: [
      {
        item: "thermal:lapis_gear",
      },
    ],
  });
  var types = ["ruby", "sapphire"];
  types.forEach((S) => {
    e.custom({
      type: "thermal:press",
      ingredients: [
        {
          item: "thermal:" + S,
          count: 4,
        },
        {
          item: "thermal:press_gear_die",
        },
      ],
      result: [
        {
          item: "kubejs:" + S + "_gear",
        },
      ],
    });
  });
});
